## seriesfinale 0.1-1

=== Makefile ===
PYTHON=/usr/bin/python2.5
DESTDIR=/
BUILDIR=$(CURDIR)/debian/seriesfinale
PROJECT=ocrfeeder
VERSION=0.4

all:
	@echo "make source   - Create source package"
	@echo "make install  - Install on local system"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean    - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root=$(DESTDIR) $(COMPILE)

deb:
	# build the source package in the parent directory
	# then rename it to project_version.orig.tar.gz
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../ 
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	# build the package
	dpkg-buildpackage -us -uc -rfakeroot

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete
	find . -name '*.pyo' -delete

=== debian/changelog ===
seriesfinale (0.1-1) unstable; urgency=low

  * Initial release.

 -- Joaquim Manuel Pereira Rocha <jrocha@igalia.com>  Dec,  6 Dec 2009 18:09:06 +0100

=== debian/control ===
Source: seriesfinale
Section: user/utilities
Priority: extra
Maintainer: Joaquim Rocha <jrocha@igalia.com>
Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime
Standards-Version: 3.7.2

Package: seriesfinale
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
 python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9)
XB-Maemo-Display-Name: SeriesFinale
Description: SeriesFinale is a TV series browser and tracker application
 Its goal is to help you manage the TV shows you watch regularly and
 keep track of the episodes you have seen so far. The shows and episodes
 can be retrieved automatically by using the “TheTVDB API” to help you
 get to the "series finale" with the least effort.

## seriesfinale 0.2-1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 PYTHON=/usr/bin/python2.5
 DESTDIR=/
 BUILDIR=$(CURDIR)/debian/seriesfinale
-PROJECT=ocrfeeder
-VERSION=0.4
+PROJECT=SeriesFinale
 
 all:
 	@echo "make source   - Create source package"
@@ -22,7 +21,7 @@
 	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../ 
 	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
 	# build the package
-	dpkg-buildpackage -us -uc -rfakeroot
+	dpkg-buildpackage -us -uc -rfakeroot -sa -S
 
 clean:
 	$(PYTHON) setup.py clean

=== debian/changelog ===
seriesfinale (0.2-1) unstable; urgency=low

  * Initial release.

 -- Joaquim Manuel Pereira Rocha <jrocha@igalia.com>  Dec,  6 Dec 2009 18:09:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Joaquim Rocha <jrocha@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime
+Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime, sharutils
 Standards-Version: 3.7.2
 
 Package: seriesfinale
@@ -15,3 +15,41 @@
  keep track of the episodes you have seen so far. The shows and episodes
  can be retrieved automatically by using the “TheTVDB API” to help you
  get to the "series finale" with the least effort.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhk
+ iAAAAAlwSFlzAAABHQAAAR0BDfQKfgAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3Nj
+ YXBlLm9yZ5vuPBoAAAZtSURBVGiB1ZpdbBxXFcd/585s1l6K47Udx6q7sY2pIuUT
+ u0mT1JHJA5VISnBcXAsnqBS1qzwAwSAhhQeQI8GL/VIpQiYI+hIqiqhax6hukpa0
+ TUukOLYgjUKsuCnISfHWbfwVJ3a9H5eHXZvNeGe8s54VcKTR3r1zzzn//z3n3Dtz
+ d0Vrzf+zqFwVReR7IjIoIi+LyNYc9A+KyAUReV1EGnLFgdba9QW0ABqIAwlgFDBd
+ 6D9m0b8LFOWCJdcItKY+FSBABfCoC/0DFv0A8JVcgORK4C9pbQ3MAldd6F+06CeA
+ gVyA5Erg18CLQAz4GHiPJIls5UPgEjAHjAPf11qP5IQkl7xLy+VCIAh8BPw0Sx0F
+ 9AO/A/y4qJ2M9lainAbqQGo212cxth34BCjzxLcXRlLAXgbeAcRhTBUwA3zLM78e
+ EqgAJoCww5jXgNe98ukpgRTA51IkKjLc+2Zq9qv+lwkI8BbwR0t/CcnVqt1Lf54T
+ SIF9mOSS+vW0vhdIrv3Ka39mTmuvg2ith0XkGPAbEbkIFAG7gEe01gmv/Ulqhrw1
+ KvIF4AOSKQXJnfYhrfWo174cIyAiQWAD4HNpt4X/gIfk5vVjEel1aScGDGmtP7XF
+ mCkCIrK+pqbmdGVlZUUwGDR9Pp+ICIZhoJTCMIzFts13ERGVPt40zYRSSlttLNhN
+ 71/4BIhEItGBgYHbvb29T2itL1uxLomAiGzctm3bpXXr1hVmMmp15tS26Cu3+kop
+ SktLjS1btlTW19f3i8hjWuvBdLxLHuZqa2v7QqFQ4cJs2s2y9V6mtt2YbO+l92/f
+ vn1Va2vra1a89xEQkWBlZWVFLoDsdLJpO01UenvPnj1BEal2isCG1atXmysF4SWh
+ 9CsUCpnARqca8JmmuSygSCTCzZs3GR8fJ5FILEQPEbFtp1/p/aZpEgqF2LRpE1u3
+ brUll1oIBMuKmKmIbWdFRHj7nbeYnv0Xu/ZV8OTOjRQU+K0mXEk0GuXywDCv9F3i
+ 3fdq+cGRdseoWGUJAaccvHLlCjHfGKcvdOLzud0a7KWpCaI/i/KdAz/XPT090tra
+ aktiWQJO+Tk0fIXfXvga0+pq8jzBS1Hwixcfl28/2ktbWxtKKebm5rhx4wZ1dXWL
+ OLImYCURj8dJxBNse+hZj5GnSSko409MTU1RXFxMOBxmdnaWzZs309XV5S4C1mt+
+ fp5ASYIPP3spfwSAB0rixGIx7t27x9zcHDMzM4yMjGAYxuKCsSwBuxqYnVL64YJn
+ ZIkVD+XuxKtaKSUlJSWEw2HOnTvH4cOH3adQJhIPlCTk6uzz+cTP58visuC3ubmZ
+ lpaW+1bBZQk47ZB3PlG6LtCR1whMj72tlVJiGAYdHR0MDg4SDodpa2sjHl+6cmRd
+ xEopisoTMnD3aD7xs7oiJkopJiYmGBwcZHJykpMnT3Lo0KHsizhT+ogI0x8beufn
+ ns9rBKZGd2kRkTVr1lBbW8vw8DD79+/3pgaCobi8cefAEiNeSmnVvCz4O3HiBPF4
+ nMLCwuw3MqdHiU//Yerm4r/lNQLf/eDBxRpQSuHz+dwVsdPD3JqamLw6+aV84qf8
+ i/PilAXLEnCqgfGbpv5q0em8RuDIP+u1UsqWRFYE7EgUPxiX8zPP5BM/wVBUMmWA
+ 64c561VQUMD0mEFdoCOvBO6MfQO/349hGHR2dnL27FmOHj1KU1OTewLpUQgEApim
+ 4v3xbgoDhXkBH4vF0DrB2rVruX37Nj09PUxNTdHZ2Ulzc3N2Rez0LLR5wyP8pOVd
+ 3fvnFzyvA601Tx9s119ueFyUUpSXl1NWVoZSioaGBm9qYN++J+g+8Utp2tfG/udq
+ qN+5nlWrVvZiE4/H+evF67z5+4/05GiRdB374aK/M2fOEIlEqK6uzq0GMp08tB/5
+ Ef39/Zzqep9fjZ4lkUjc9567IJnamfoMw6C6uprGxqflqWNPLS7jC76rqqpcFXHC
+ rojTXzV3795NY2Oj64Muu3amew5L6H0vBVZK1ycmJmL/zXMhp3G3bt2KAtdtCWit
+ I0NDQ9P5BLGSc6G+vr57jgQAzp8//+TIyEh0pYCWi5hbu9euXYt1d3cftP7GkPF0
+ 2u/37927d+9LO3bsCASDQdM0zazyNte8t+sXEcbGxmKnTp367Pjx48+Ojo7+wYrV
+ 9gcOEfEDW0ge5RVkHJR/mQf+DlzWWmf8J8C/ASzJsAR+F5sdAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_PYTHON_SYSTEM=pycentral
DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0 --install-layout=deb 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf build build-stamp configure-stamp build/ MANIFEST
	dh_clean

## seriesfinale 0.2.1-1diablo

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PYTHON=/usr/bin/python2.5
 DESTDIR=/
 BUILDIR=$(CURDIR)/debian/seriesfinale
-PROJECT=SeriesFinale
+PROJECT=ocrfeeder
 
 all:
 	@echo "make source   - Create source package"
@@ -21,11 +21,9 @@
 	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../ 
 	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
 	# build the package
-	dpkg-buildpackage -us -uc -rfakeroot -sa -S
+	dpkg-buildpackage -us -uc -rfakeroot -sa
 
 clean:
 	$(PYTHON) setup.py clean
-	$(MAKE) -f $(CURDIR)/debian/rules clean
 	rm -rf build/ MANIFEST
-	find . -name '*.pyc' -delete
-	find . -name '*.pyo' -delete
+	find . -name '*.py[oc]' -exec rm {} \;

=== debian/changelog ===
seriesfinale (0.2.1-1diablo) unstable; urgency=low

  * Diablo-ized version

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Fri, 26 Feb 2010 09:53:32 +0100

seriesfinale (0.2.1-1) unstable; urgency=low

  * Fixed Debian package generation

 -- Joaquim Rocha <jrocha@igalia.com>  Fri, 11 Dec 2009 12:59:48 +0100

## seriesfinale 0.3-1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../ 
 	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
 	# build the package
-	dpkg-buildpackage -us -uc -rfakeroot -sa
+	dpkg-buildpackage -us -uc -rfakeroot -sa -S
 
 clean:
 	$(PYTHON) setup.py clean

=== debian/changelog ===
seriesfinale (0.3-1) unstable; urgency=low

  * Added extra information to tree views
  * Added configuration file handling and episodes order recall
  * Added local dirs to sys path for easier development
  * Corrected translation strings
  * Added pot file
  * Added Portuguese translation
  * Added support for i18n

 -- Joaquim Rocha <jrocha@igalia.com>  Tue, 12 Jan 2010 12:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Joaquim Rocha <jrocha@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime, sharutils
+Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime
 Standards-Version: 3.7.2
 
 Package: seriesfinale

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APP_NAME 	= seriesfinale
PYTHON		= /usr/bin/python2.5
SETUP		= ${PYTHON} setup.py

ROOTDIR 	= debian/${APP_NAME}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	# Add here commands to compile the package.
	${SETUP} build
	#docbook-to-man debian/seriesfinale.sgml > seriesfinale.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/seriesfinale.
	${SETUP} install --no-compile --root='$(ROOTDIR)' --prefix='$(PREFIX)'

binary-indep:
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## seriesfinale 0.3-1diablo

=== debian/changelog ===
seriesfinale (0.3-1diablo) unstable; urgency=low

  * Diablo-ized version

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Mon, 08 Mar 2010 21:17:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: seriesfinale
 Section: user/utilities
 Priority: extra
-Maintainer: Joaquim Rocha <jrocha@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime
+Maintainer: Juan A. Suarez Romero <jasuarez@igalia.com>
+Build-Depends: debhelper (>=5), python-support (>= 0.6.4), cdbs (>= 0.4.48),
+ python-runtime | python2.5-runtime, python-distutils | python2.5-distutils,
+ python-dev | python2.5-dev
 Standards-Version: 3.7.2
 
 Package: seriesfinale
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
- python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9)
+ python2.5-hildon, python-gtk2 | python2.5-gtk2, python-gobject | python2.5-gobject, python-simplejson (>= 2.0.9)
 XB-Maemo-Display-Name: SeriesFinale
 Description: SeriesFinale is a TV series browser and tracker application
  Its goal is to help you manage the TV shows you watch regularly and

## seriesfinale 0.3.6-1diablo

=== debian/changelog ===
seriesfinale (0.3.6-1diablo) unstable; urgency=low

  * Diablo-ized version

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Tue, 09 Mar 2010 23:05:06 +0100

seriesfinale (0.3.6-1) unstable; urgency=low

  * Fix error when calling the show info function
  * Fix error when getting the episodes' air date text

 -- Joaquim Rocha <jrocha@igalia.com>  Sat, 20 Feb 2010 20:20:48 +0100

seriesfinale (0.3.5-1) unstable; urgency=low

  * Display episodes' air date 
  * Added Spanish translation (thanks to Juan A. Sánchez Romero)

 -- Joaquim Rocha <jrocha@igalia.com>  Sat, 20 Feb 2010 12:59:48 +0100

## seriesfinale 0.4-1

=== debian/changelog ===
seriesfinale (0.4-1) unstable; urgency=low

  * Add update all shows feature
  * Add asynchronous save and load
  * Solve problem of duplicated episodes entries
  * Solve bug when editing an episode information

 -- Joaquim Rocha <jrocha@igalia.com>  Fri, 12 Mar 2010 20:20:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: seriesfinale
 Section: user/utilities
 Priority: extra
-Maintainer: Juan A. Suarez Romero <jasuarez@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.6.4), cdbs (>= 0.4.48),
- python-runtime | python2.5-runtime, python-distutils | python2.5-distutils,
- python-dev | python2.5-dev
+Maintainer: Joaquim Rocha <jrocha@igalia.com>
+Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime
 Standards-Version: 3.7.2
 
 Package: seriesfinale
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
- python2.5-hildon, python-gtk2 | python2.5-gtk2, python-gobject | python2.5-gobject, python-simplejson (>= 2.0.9)
+ python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9)
 XB-Maemo-Display-Name: SeriesFinale
 Description: SeriesFinale is a TV series browser and tracker application
  Its goal is to help you manage the TV shows you watch regularly and
  keep track of the episodes you have seen so far. The shows and episodes
  can be retrieved automatically by using the “TheTVDB API” to help you
  get to the "series finale" with the least effort.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=seriesfinale
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhk
  iAAAAAlwSFlzAAABHQAAAR0BDfQKfgAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3Nj

## seriesfinale 0.4-1diablo

=== debian/changelog ===
seriesfinale (0.4-1diablo) unstable; urgency=low

  * Diablo-ized version

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Wed, 17 Mar 2010 09:53:46 +0100

## seriesfinale 0.5-1

=== debian/changelog ===
seriesfinale (0.5-1) unstable; urgency=low

  * Add images retrieval for shows and seasons
  * Add season number to episode number
  * Show episode number together with next air date
  * Fix slow panning of views
  * Fix problem when selecting a manually added show

 -- Joaquim Rocha <jrocha@igalia.com>  Mon, 29 Mar 2010 20:20:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Joaquim Rocha <jrocha@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.9), cdbs (>= 0.4.52), python-runtime | python2.5-runtime
+Build-Depends: debhelper (>=5), python-support (>= 0.9), python-runtime | python2.5-runtime
 Standards-Version: 3.7.2
 
 Package: seriesfinale

## seriesfinale 0.5-1diablo

=== debian/changelog ===
seriesfinale (0.5-1diablo) unstable; urgency=low

  * Diablo-ized version

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Mon, 29 Mar 2010 18:54:18 +0200

## seriesfinale 0.5-2diablo

=== debian/changelog ===
seriesfinale (0.5-2diablo) unstable; urgency=low

  * Fix wrong XDG_DATA_HOME envvar

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Tue, 30 Mar 2010 08:49:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: seriesfinale
 Section: user/utilities
 Priority: extra
-Maintainer: Joaquim Rocha <jrocha@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.9), python-runtime | python2.5-runtime
+Maintainer: Juan A. Suarez Romero <jasuarez@igalia.com>
+Build-Depends: debhelper (>=5), python-support (>= 0.6.4), cdbs (>= 0.4.48),
+ python-runtime | python2.5-runtime, python-distutils | python2.5-distutils,
+ python-dev | python2.5-dev
 Standards-Version: 3.7.2
 
 Package: seriesfinale
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
- python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9)
+ python2.5-hildon, python-gtk2 | python2.5-gtk2, python-gobject | python2.5-gobject, python-simplejson (>= 2.0.9)
 XB-Maemo-Display-Name: SeriesFinale
 Description: SeriesFinale is a TV series browser and tracker application
  Its goal is to help you manage the TV shows you watch regularly and

## seriesfinale 0.6-1

=== debian/changelog ===
seriesfinale (0.6-1) unstable; urgency=low

  * Fix deleting shows
  * Automate translation files
  * Escape shows and episodes' names for markup
  * Mark already added series when searching
  * Fix episode highlight when episode watched state is updated
  * Prevent erasing database when a problems occurs opening it
  * Add new logo
  * Add language specification when searching and downloading shows
  * Add debug when an exception in async item works
  * Added manual de/serialization using JSON
  * Download images to temporal files
  * Add placeholder and downloading images
  * Update/Retrieve art in the background
  * Remove the images when a show is deleted
  * Do not download images if they already exist
  * Do not delete images if they are used by other shows
  * Start searching when user presses Enter in the search entry
  * Fix some labels
  * Add AUTHORS file
  * Add README file
  * Add THANKS file
  * Update Portuguese translation
  * Update Spanish translation
  * Add postrm script to remove the images folder

 -- Joaquim Rocha <jrocha@igalia.com>  Tue, 11 May 2010 10:20:48 +0100

## seriesfinale 0.6-1diablo

=== debian/changelog ===
seriesfinale (0.6-1diablo) unstable; urgency=low

  * Diablo-ized version

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Thu, 13 May 2010 17:13:59 +0200

=== debian/control ===
Source: seriesfinale
Section: user/utilities
Priority: extra
Maintainer: Juan A. Suarez Romero <jasuarez@igalia.com>
Build-Depends: debhelper (>=5), python-support (>= 0.6.4), cdbs (>= 0.4.48),
 python-runtime | python2.5-runtime, python-distutils | python2.5-distutils,
 python-dev | python2.5-dev, intltool
Standards-Version: 3.7.2

Package: seriesfinale
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
 python2.5-hildon, python-gtk2 | python2.5-gtk2, python-gobject | python2.5-gobject, python-simplejson (>= 2.0.9)
XB-Maemo-Display-Name: SeriesFinale
Description: SeriesFinale is a TV series browser and tracker application
 Its goal is to help you manage the TV shows you watch regularly and
 keep track of the episodes you have seen so far. The shows and episodes
 can be retrieved automatically by using the “TheTVDB API” to help you
 get to the "series finale" with the least effort.
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=seriesfinale
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAjkSURBVGiBtVp9UFPZFf/d95KQQDCKRSBa
 BAEVNyuws6TIVleUOMPgWl2Bdagf3XRH64xWu8vUrTpKgVbpOsWPbdVORS0s
 7bKOZcBx/OigLrRlhqJs/OiWZcYgCrosUcOHISY5/YOXDIQkJDE5M2fy7nv3
 3Ht+9/zee+eeF0ZE8FMYAF74JQBW4TfYtuNE5I8RAA6ADEAkgHAAwwD6AAwC
 sHlhKxdsQwEMCLYvvLCdKETkqzIikhLRgry8vPNKpbJPo9E06vX6TCIKE657
 sg3T6/WZGo2mUalU9uXl5Z0nogXCmJ5sXao/ADgiiigrK/sYo2EnAKTVas8Q
 kVK47slWqdVqz4y1LSsr+5iIIiaxdamczyETaNDT0xMz9oTRaFQCkGCU1+6E
 AZAIfR0ijOWfL35SKMxgMLyVnJzcBYBEIpG1sbGxhIhmE5HIg62IiGZfv379
 1yKRyAqAkpOTuwwGw1te0C9gFAIR8ULI1U1NTUWLFi3SLV++/CoRve6By/Z7
 R5WdnX0lIyND19TUVEREamEs3h9f/AVg57OUiGY1NzcXhIaGGisqKnYQUYyb
 KIiIKPrYsWPbQkNDjTdu3HiPiGYJY/jM/UAAsGsIEc3ZuHHjH6Kjo/VGozGT
 iKY4RYER0ZTh4eFFMTEx9wsLC08Q0RzB9pXmDwQARkRyInozLi7uv6tWraoi
 oiQn50KIKHHNmjVnYmNjvyaidMHGZ84HAwBolL9R1dXVWplMNlBbW7uBiGYI
 53kiiqyrqyuUyWQDlZWVHxBRFPnJ+WABsK/yvJycnL8lJCToiOgNIgoXVjpt
 3rx5N1esWHGOiOYFgjrBAMCISGEwGH4YGRn5cPPmzUeISEVEr23btu3Q9OnT
 e3t7e98mIkUgqBMMAKDRJ833Dx8+vHfKlCnG9vb20rt37xYrFIrn5eXlJUQU
 S57fEz6rt8mct29JBsCalZVlmDFjhlWtVu9hjJFSqRzIycn5FoBF6OPteJMm
 d4zIbRbLYTRblQCQAhB7MbEYQFx+fv4n586de3Pshfz8/Nba2tpfAriPUSCT
 Of4SgAmAWejvEow7ACIAU+/cuaOqrKxcrdfrUwYGBqIYY448hzEGZ1vGGBOL
 xdKWlpZYs9k8LieSSCSUkZHx4OXLlyZnZ+zjCMMTEZFcLv82Li5Op9Vq61Qq
 1R0Az1wBdwVABCCyuLh464kTJ3ZNnTpVEh0djfDwcAAAx3ETfhljE9TTtcmU
 4zg8ffoUHR0d1Nvba96yZcvviouLj2N032BxdnascADkZ8+efffIkSN7Vq5c
 ySUmJjpWh+M4h1P2Y2/a/tgIbXbr1q2QioqKPfHx8U82bdr0GQDj2Ag6R0AE
 IFGlUv0zMTExIi0tbYLzQXbYZfvKlSu4evXqdzqdbjGAzrFRcL4pRV1dXXM6
 OzunLVy40EGDyZTnea/6+asajQYdHR3Tu7q65jizxhkA19DQoIqKivLJKZvN
 5lCr1TqpWiwWWCwWr8cPCQlBbGwsNTQ0qJx9nnAPWCyWULFYPClF7t27h3/9
 uxn6+3qMmM1wFuZxYzYqkhAJkuYm4p3cH0GtVnucUyqVwmKxhE4GAPZHpSdO
 19fXQ3e7Hevez6H3CkvYwhSV48njrRARdF/dwec1f6c/Hv+UfaVbjK0/2+qY
 w2g0or+/H3PnzgXHcSAih28eAdjFHYD29nZ8c/82vujMQ7gilAHN+AbNPjkP
 AGCALBX4SWokW7snDxvTzuPLL1/DsmXL0NbWhv3794MxhiVLlmDfvn1uF8hn
 ANeuNWLT5nWUrvjQtyX3JApg009DqObUX1l2djbq6+sxMjICAGhsbMTu3bt9
 A+DusWi1WvHkyRPkfGRjX+NIwPwHgJyPbOxQWQ8sFgsyMjJw8+ZNEBHi4+Mh
 lUonvPU9AgBcR8BoNEImkyFFWhRQ5wEAUkAm/QzPnj3D6tWrMXPmTDx8+BC5
 ubmO+V8ZAGMMEhmHQK++XSSy0Xl4nkdmZuaEt/8rA+A4DmaTDfOxIygAzKYz
 4HkefX19OHjwIB49eoSdO3ciKyvLNwq5uwcYYwiRcfgPdgYFgEzOgzGGqqoq
 tLa2wmq1oqSkBEuXLn31CNhThheDVizBF0EBMGyc4ZIuHOd+G+I2AjzPu0yw
 pHIOzSgMrOeCyMJH59Bqtejp6UF3dzeKioogFot9A0BEblMI8wtCKn4TFACm
 ITV4nkdMTAyOHz8+zgefANiNXEVAHMLQiT8HBYBE5jrqAQPA8zzMJhsS8UFQ
 AJiH/+SYa2hoCP39/UhISPD9MeqOQhERERgxjaDdeAzyKbKAOj9ofAHTyAii
 o6PR0tKC7du3AwByc3NRXl7u1s7nCMyOi8Nf9vbS74/+NnC5EIAP9+6mpKQk
 JpFIUFNTA5PJBACoq6tDWVlZYAAwxrD+x+tRcfQTlrMtFPFzowPi/P2Ox6j7
 /B+s4tCn4DgOixcvRktLC2w2G5KSkiCTyfyjkDMIxhhUKhXy312H99Nr8IMl
 ybQidylLTXvd443mSmw2G9pv3cblC9eotfl/bPv2n0OtVoMxhsLCQsyaNQsP
 HjzA2rVrHfsBrwAQEbmrQNiPV658BykpqbhwoZ5VHq2DwXAaYxfIvlqOSZ1W
 z96MiJiGBckqVl21z7Fxsc+h0WjGtYU6lMsa0LiFCQsLM5pMJrcUsh/Hx8dj
 x45fBLT64Kk9NDSEsLCwcSUVYOKm3lZQUKB7/PgxzGazy1TCVYoRTOV5HiaT
 Cd3d3aygoEA3GQCLQqHoSk1NfXDx4sWgOOzPmCdPnkRKSopeoVB0wakyNwEA
 gN7S0tJdly9ftly6dCngDrtKT9z1Z4zh9OnTOHXq1MvS0tJfAeh1BuCqNsoB
 +F51dfWqAwcOHHz+/Pm0+fPnM4VC4SgKONdAndvO51z1tR8D47NN+3WDwWBr
 a2sjuVxu2LVr1+7169fXA/jOmULuqtMcALnZbJ5dVVX1dmtr6xuDg4NTXZU1
 giFCdfpZenr6zQ0bNtyQSCRdcPNHksm+D3AY/T4ggr9/BfBfbBili1k4dvl9
 4P9vol78kuG2TwAAAABJRU5ErkJggg==

## seriesfinale 0.6.1-1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 PYTHON=/usr/bin/python2.5
 DESTDIR=/
 BUILDIR=$(CURDIR)/debian/seriesfinale
-PROJECT=ocrfeeder
+PROJECT=seriesfinale
+PO_DIR=po
+LINGUAS=$(shell cat $(PO_DIR)/LINGUAS)
+RESOURCES_DIR=data
 
 all:
 	@echo "make source   - Create source package"
@@ -9,13 +12,33 @@
 	@echo "make builddeb - Generate a deb package"
 	@echo "make clean    - Get rid of scratch and byte files"
 
-source:
+po/$(PROJECT).pot:
+	cd $(PO_DIR); intltool-update -p -g $(PROJECT)
+
+update-po: $(PO_DIR)/$(PROJECT).pot
+	cd $(PO_DIR); intltool-update -r -g $(PROJECT)
+
+%.mo : %.po
+	@langname=`basename $(<) .po`; \
+	dirname=locale/$$langname/LC_MESSAGES/; \
+	echo Generating $$dirname/$(PROJECT).mo; \
+	mkdir -p $$dirname; \
+	msgfmt $< -o $$dirname/$(PROJECT).mo; \
+
+generate-mo: $(patsubst %,$(PO_DIR)/%.mo,$(LINGUAS))
+
+$(RESOURCES_DIR)/$(PROJECT).desktop: $(RESOURCES_DIR)/$(PROJECT).desktop.in $(PO_DIR)/*.po
+	@intltool-merge -d $(PO_DIR) $(RESOURCES_DIR)/$(PROJECT).desktop.in $(RESOURCES_DIR)/$(PROJECT).desktop
+
+i18n: po/$(PROJECT).pot update-po generate-mo $(RESOURCES_DIR)/$(PROJECT).desktop
+
+source: i18n
 	$(PYTHON) setup.py sdist $(COMPILE)
 
-install:
+install: i18n
 	$(PYTHON) setup.py install --root=$(DESTDIR) $(COMPILE)
 
-deb:
+deb: i18n
 	# build the source package in the parent directory
 	# then rename it to project_version.orig.tar.gz
 	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../ 
@@ -25,5 +48,6 @@
 
 clean:
 	$(PYTHON) setup.py clean
-	rm -rf build/ MANIFEST
+	rm -rf build/ locale/ MANIFEST data/seriesfinale.desktop po/seriesfinale.pot
 	find . -name '*.py[oc]' -exec rm {} \;
+	find . -name '*~' -exec rm {} \;

=== debian/changelog ===
seriesfinale (0.6.1-1) unstable; urgency=low
  * Fix showing next episode
  * Use only one AsyncWorker at a time for shows' tasks
  * Fix updating shows
  * Add Russian translation (thanks to Misha Ketslah)
  * Add THANKS file
  * Add TheTVDB credits
  * Prevent problems when downloading and using images
  * Use a priority queue for updating the shows info and images
 -- Joaquim Rocha <jrocha@igalia.com>  Fri, 16 Jul 2010 10:20:48 +0100

## seriesfinale 0.6.1-1diablo

=== debian/changelog ===
seriesfinale (0.6.1-1diablo) unstable; urgency=low

  * Diablo-ized version

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Wed, 21 Jul 2010 20:49:07 +0200

## seriesfinale 0.6.5-1

=== debian/changelog ===
seriesfinale (0.6.5-1) unstable; urgency=low
  * Add sorting shows by most recent episode or name
  * Add auto-rotation support
  * Add settings dialog
  * Fix problems with threads
  * Fix episodes highlight when checking/unchecking all episodes
  * Rewrite settings
  * Add special seasons addition preferences
  * Make returning to the shows view faster
  * Add delete seasons view
 -- Joaquim Rocha <jrocha@igalia.com>  Fri, 08 Oct 2010 18:05:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: seriesfinale
 Section: user/utilities
 Priority: extra
-Maintainer: Juan A. Suarez Romero <jasuarez@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.6.4), cdbs (>= 0.4.48),
- python-runtime | python2.5-runtime, python-distutils | python2.5-distutils,
- python-dev | python2.5-dev, intltool
+Maintainer: Joaquim Rocha <jrocha@igalia.com>
+Build-Depends: debhelper (>=5), python-support (>= 0.9), intltool, python-runtime | python2.5-runtime
 Standards-Version: 3.7.2
 
 Package: seriesfinale
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
- python2.5-hildon, python-gtk2 | python2.5-gtk2, python-gobject | python2.5-gobject, python-simplejson (>= 2.0.9)
+ python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9)
 XB-Maemo-Display-Name: SeriesFinale
 Description: SeriesFinale is a TV series browser and tracker application
  Its goal is to help you manage the TV shows you watch regularly and

## seriesfinale 0.6.5-1diablo

=== debian/changelog ===
seriesfinale (0.6.5-1diablo) unstable; urgency=low

  * Diablo-ized version
  * Get rid of auto-rotation support

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Thu, 11 Nov 2010 16:48:17 +0100

## seriesfinale 0.6.5-2diablo

=== debian/changelog ===
seriesfinale (0.6.5-2diablo) unstable; urgency=low
  * Unable to show episodes: fixed

 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Fri, 17 Dec 2010 18:39:59 +0100

## seriesfinale 0.6.6-1

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../ 
 	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
 	# build the package
-	dpkg-buildpackage -us -uc -rfakeroot -sa -S
+	dpkg-buildpackage -S -us -uc -rfakeroot -sa
 
 clean:
 	$(PYTHON) setup.py clean

=== debian/changelog ===
seriesfinale (0.6.6-1) unstable; urgency=low
  * Add live search support for filtering shows
  * Save database and settings only if there were changes
  * Add quick access to previous/next episodes when viewing an episode
  * Add an option to set the check-boxes position
  * Use sentence case in the UI
  * Updated Spanish translation
 -- Joaquim Rocha <jrocha@igalia.com>  Mon, 21 Feb 2011 18:05:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,6 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) clean
 	dh_clean 
 
 install: build

## seriesfinale 0.6.7-1

=== debian/changelog ===
seriesfinale (0.6.7-1) unstable; urgency=low
  * Fix getting the show when live search was used
  * Update search column when shows are updated
  * Remove covers only if package is removed.
  * Fix episode's name column size in episodes view
  * Autosave database every 5 minutes (mb#11121)
  * Save on database on tmp file first
  * Check if SeriesFinale is already running
  * Hide/show buttons when offline/online
  * Mark episode as watched from episode's view
 -- Joaquim Rocha <jrocha@igalia.com>  Tue, 12 Apr 2011 18:05:48 +0100

## seriesfinale 0.6.7-3

=== debian/changelog ===
seriesfinale (0.6.7-3) unstable; urgency=low
  * New build because the previous one failed
 -- Joaquim Rocha <jrocha@igalia.com>  Wed, 14 Apr 2011 10:05:48 +0100

seriesfinale (0.6.7-2) unstable; urgency=low
  * Add missing python-conic dependency to Debian control
 -- Joaquim Rocha <jrocha@igalia.com>  Wed, 14 Apr 2011 08:05:48 +0100

## seriesfinale 0.6.8-1

=== debian/changelog ===
seriesfinale (0.6.8-1) unstable; urgency=low
  * Fix image retrieval
  * Fix deleting seasons (mb#11713)
  * Add sorting options to the seasons view (mb#11771)
  * Fix infinite loop when updating episodes (mb#11118)
  * Consider next episode to watch only when it has an air date (mb#12055)
  * Humanize dates close to today's
  * Add French translation (thanks to David Landreau)
  * Make the startup faster
  * Fix data dir creation when there is no XDG_DATA_DIR
  * Prevent starting a thread when it is already running
  * Don't save information about the download of images
  * Adapt the "next episode to watch" text to support also humanized dates
 -- Joaquim Rocha <jrocha@igalia.com>  Thu, 21 Jul 2011 20:30:48 +0100

## seriesfinale 0.6.9-1

=== debian/changelog ===
seriesfinale (0.6.9-1) unstable; urgency=low
  * Add context menus to the shows and seasons views
  * Change the looks of the live search's cancel button
 -- Joaquim Rocha <jrocha@igalia.com>  Thu, 13 Oct 2011 20:30:48 +0100

## seriesfinale 0.6.10-1

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../ 
 	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
 	# build the package
-	dpkg-buildpackage -S -us -uc -rfakeroot -sa
+	dpkg-buildpackage -us -uc -rfakeroot -sa
 
 clean:
 	$(PYTHON) setup.py clean

=== debian/changelog ===
seriesfinale (0.6.10-1) unstable; urgency=low
  * Sort seasons by numerical comparison
  * Cache available languages
  * Use interrumpible threads
 -- Juan A. Suarez Romero <jasuarez@igalia.com>  Thu, 31 May 2012 10:47:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: seriesfinale
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
- python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9)
+ python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9), python-conic
 XB-Maemo-Display-Name: SeriesFinale
 Description: SeriesFinale is a TV series browser and tracker application
  Its goal is to help you manage the TV shows you watch regularly and

## seriesfinale 0.6.11-1

=== debian/changelog ===
seriesfinale (0.6.11-1) unstable; urgency=medium

  * Add missing dependency on python-osso (mb#12483)

 -- Graham Inggs <graham@nerve.org.za>  Tue, 28 Jul 2015 12:50:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,22 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Joaquim Rocha <jrocha@igalia.com>
-Build-Depends: debhelper (>=5), python-support (>= 0.9), intltool, python-runtime | python2.5-runtime
+Build-Depends: debhelper (>=5),
+               intltool,
+               python-runtime | python2.5-runtime,
+               python-support (>= 0.9)
 Standards-Version: 3.7.2
 
 Package: seriesfinale
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-hildon | 
- python2.5-hildon, python-gtk2, python-gobject, python-simplejson (>= 2.0.9), python-conic
+Depends: python-conic,
+         python-gobject,
+         python-gtk2,
+         python-hildon | python2.5-hildon,
+         python-osso,
+         python-simplejson (>= 2.0.9),
+         ${misc:Depends},
+         ${python:Depends}
 XB-Maemo-Display-Name: SeriesFinale
 Description: SeriesFinale is a TV series browser and tracker application
  Its goal is to help you manage the TV shows you watch regularly and
